#ifndef GFXLIB_H
#define GFXLIB_H

extern volatile unsigned * vga ;
extern unsigned * sdram ;
extern volatile unsigned * bootloader ;
extern unsigned char * video ;
extern volatile unsigned * shm ;

#define BTN_NORTH           0
#define BTN_EAST            1
#define BTN_SOUTH           2
#define BTN_WEST            3
#define BTN_CENTRE          4
#define ROT_CCW             5
#define ROT_CW              6
#define SWITCHES            7
#define LEDS                8

void Text_Char(unsigned x, unsigned y,
        unsigned ch, unsigned char colour);
void Text(unsigned x, unsigned y,
        const char * ch, unsigned char colour);
void Text_Hex(unsigned x, unsigned y,
        unsigned num, unsigned char colour);
void printhex ( unsigned x );
void Stop_Polling(void);

#endif

